services:
  nginx:
    image: nginxinc/nginx-unprivileged:1.27
    volumes:
      - ./nginx/nginx.conf:/etc/nginx/nginx.conf
      - ./nginx/site.local.conf:/etc/nginx/conf.d/default.conf
      - ./cert.pem:/etc/nginx/cert.pem
      - ./key.pem:/etc/nginx/key.pem
    ports:
      - 443:443
    # For linux users
    extra_hosts:
      - 'host.docker.internal:host-gateway'
